IRQ_ALLOC_GENERIC_CH(9)

NAME
irq_alloc_generic_chip - Allocate a generic chip and initialize it

SYNOPSIS

struct irq_chip_generic * irq_alloc_generic_chip(const char * name, int num_ct, unsigned int irq_base, void __iomem * reg_base, irq_flow_handler_t handler);

ARGUMENTS

name
    Name of the irq chip

num_ct
    Number of irq_chip_type instances associated with this

irq_base
    Interrupt base nr for this chip

reg_base
    Register base address (virtual)

handler
    Default flow handler associated with this chip

DESCRIPTION

Returns an initialized irq_chip_generic structure. The chip defaults to the primary (index 0) irq_chip_type and handler

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT